<template>
    <div :style="{ 'width': width, 'height': height }" class="position-relative">
        <div v-if="labelTop"
             :style="{ 'font-size': fontSize }"
             class="position-absolute center-x"
             style="top: -120%">
            {{ labelTop }}
        </div>

        <div v-if="labelBottom"
             :style="{ 'font-size': fontSize }"
             class="position-absolute center-x"
             style="top: 110%;">
            {{ labelBottom }}
        </div>

        <div v-if="labelRight"
             :style="{ 'font-size': fontSize }"
             class="position-absolute center-y"
             style="left: 120%">
            {{ labelRight }}
        </div>

        <div v-if="labelLeft"
             :style="{ 'font-size': fontSize }"
             class="position-absolute center-y"
             style="right: 120%">
            {{ labelLeft }}
        </div>

        <svg :class="fillClass"
             height="100%"
             viewBox="0 0 100 100"
             width="100%"
             xmlns="http://www.w3.org/2000/svg">
            <circle cx="50%" cy="50%" r="50%" stroke-width="2"/>
        </svg>
    </div>
</template>

<script>
export default {
    name: 'circle-component',
    props: {
        labelTop: {
            type: String,
        },
        labelBottom: {
            type: String,
        },
        labelRight: {
            type: String,
        },
        labelLeft: {
            type: String,
        },
        width: {
            type: [Number, String],
            default: '1.5rem'
        },
        height: {
            type: [Number, String],
            default: '1.5rem'
        },
        fontSize: {
            type: String,
            default: '1.2rem'
        },
        status: {
            type: String,
            default: 'off'
        },
    },
    computed: {
        fillClass: function () {
            if (this.status === 'on') {
                return 'fill-on'
            }

            if (this.status === 'trip') {
                return 'fill-trip'
            }

            return 'fill-off'
        },
    }
}
</script>
